## ros-foxy-moveit-simple-controller-manager 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_simple_controller_manager)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(control_msgs REQUIRED)
find_package(rclcpp_action REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  control_msgs
  rclcpp
  rclcpp_action
  moveit_core
  pluginlib
)

include_directories(
  include
)

add_library(${PROJECT_NAME} SHARED
  src/moveit_simple_controller_manager.cpp
  src/follow_joint_trajectory_controller_handle.cpp
)

set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

ament_target_dependencies(${PROJECT_NAME}
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
  Boost
)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)
install(DIRECTORY include/ DESTINATION include)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
  Boost
)

pluginlib_export_plugin_description_file(moveit_core moveit_simple_controller_manager_plugin_description.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-foxy-moveit-simple-controller-manager (2.2.3-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-moveit-simple-controller-manager (2.2.2-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-moveit-simple-controller-manager (2.2.1-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (2.2.0-1focal) focal; urgency=high

  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
  * Contributors: Henning Kayser, JafarAbdi, Tyler Weaver, Vatan Aksoy Tezer

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (2.1.4-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (2.1.3-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (2.1.2-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (2.1.1-1focal) focal; urgency=high

  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * ActionBasedControllerHandle: fix dangling reference in case of timeout
  * [fix] Export libs for MoveGroup capabilities and MoveItSimpleControllerManager (#344 <https://github.com/ros-planning/moveit2/issues/344>)
  * MTC compatibility fixes (#323 <https://github.com/ros-planning/moveit2/issues/323>)
  * Replace workaround for controllerDoneCallback with promise/future
  * moveit_simple_controller_manager: Fix waiting for execution
  * Fix repo URLs in package.xml files
  * Contributors: Boston Cleek, Henning Kayser, Jafar Abdi, Tyler Weaver

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (2.1.0-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 23 Nov 2020 07:00:00 -0000

ros-foxy-moveit-simple-controller-manager (2.0.0-1focal) focal; urgency=high

  * [improve] MoveItSimpleControllerManager refactor parameter lookup
  * [fix] Fix plugin install of MoveItSimpleControllerManager
  * [port] Port moveit_simple_controller_manager to ROS 2 (#158 <https://github.com/ros-planning/moveit2/issues/158>)
  * Contributors: Henning Kayser, Jafar Abdi

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 17 Feb 2020 07:00:00 -0000

ros-foxy-moveit-simple-controller-manager (1.1.1-1focal) focal; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Oct 2020 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (1.1.0-1focal) focal; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Allow different controllers for execution #1832 <https://github.com/ros-planning/moveit/issues/1832>)
  * [feature] ControllerManager: wait for done-callback (#1783 <https://github.com/ros-planning/moveit/issues/1783>)
  * [feature] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [fix] add missing space to log (#1477 <https://github.com/ros-planning/moveit/issues/1477>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Jonathan Binney, Leroy Rügemer, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan, llach

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 04 Sep 2020 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (1.0.6-1focal) focal; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (1.0.5-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (1.0.4-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 30 May 2020 06:00:00 -0000

ros-foxy-moveit-simple-controller-manager (1.0.3-1focal) focal; urgency=high

  * [fix]   Handle "default" parameter in MoveitControllerManagers
    MoveIt{Fake|Simple}ControllerManager::getControllerState() now correctly returns current state
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)


=== debian/control ===
Source: ros-foxy-moveit-simple-controller-manager
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-control-msgs, ros-foxy-moveit-common, ros-foxy-moveit-core, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-simple-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-control-msgs, ros-foxy-moveit-core, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-ros-workspace
Description: A generic, simple controller manager plugin for MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-moveit-simple-controller-manager//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
